package depart.frontal.vues;

import ca.ntro.app.Ntro;
import ca.ntro.app.frontend.ViewFx;
import depart.frontal.evenements.EvtB;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.Label;

public class VueA extends ViewFx {

	@FXML
	private Label labelA;

	@FXML
	private Button boutonA;

	@Override
	public void initialize() {
		Ntro.assertNotNull(labelA);
		Ntro.assertNotNull(boutonA);
		
		boutonA.setOnAction(evtFx -> {

			Ntro.newEvent(EvtB.class).trigger();
			
		});
	}

	public void methodeA(String paramA) {
		labelA.setText(paramA);
	}

}
